## desklaunch 1.1.0

=== Makefile ===
CC        = gcc
CFLAGS    = -g -O2 -Wall
XROOT     = /usr/X11R6
INCLUDES  = -I$(XROOT)/include
LIBS      = -lX11 -lXext -lXpm 
LDPATH    = -L$(XROOT)/lib

PROG      = desklaunch
PREFIX    = /usr
RCFILE    = .$(PROG)rc
DEFINES   = -DRCFILE=\"$(RCFILE)\" #-DDEBUG

OBJS      = $(PROG).o  

all: $(PROG) 

$(PROG): $(OBJS)
	$(CC) $(OBJS) $(LDPATH) $(LIBS) -o $@

$(OBJS): %.o: %.c $(HEADERS)
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -c $< -o $@

install: all
	install $(PROG) $(PREFIX)/bin
	install -d $(PREFIX)/share/$(PROG)

uninstall:
	rm -f $(PREFIX)/bin/$(PROG)
	rm -rf $(PREFIX)/share/$(PROG)

clean:
	rm -f $(PROG) $(OBJS)

## desklaunch 1.1.3-1

=== debian/changelog ===
desklaunch (1.1.3-1) unstable; urgency=low

  * Some minor cleanups.
    Closes: #156383

 -- Stefan Pfetzing <dreamind@dreamind.de>  Mon, 12 Aug 2002 23:27:01 +0200

desklaunch (1.1.2-1) unstable; urgency=low

  * Make desklaunch ignore the Lock modifier.

 -- Stefan Pfetzing <dreamind@dreamind.de>  Wed, 31 Jul 2002 02:52:18 +0200

desklaunch (1.1.1-1) unstable; urgency=low

  * Fixed the handling of SIGHUP, now desklaunch reads the config
    when it caught a SIGHUP, no stat'ing any more.
    Closes: #149674

 -- Stefan Pfetzing <dreamind@dreamind.de>  Tue, 11 Jun 2002 22:45:24 +0200

desklaunch (1.1.0-3) unstable; urgency=low

  * New Upstream Maintainer
  * New Maintainer

 -- Stefan Pfetzing <dreamind@dreamind.de>  Mon, 10 Jun 2002 01:06:24 +0200

desklaunch (1.1.0-2) unstable; urgency=low

  * Changed Build-Depends and added xlibs-dev.
    Closes: #113062
  * Fixed a typo in the description field.
    Closes: #113040

 -- Brandon L. Griffith <brandon@debian.org>  Sat, 22 Sep 2001 19:24:21 -0400

desklaunch (1.1.0-1) unstable; urgency=low

  * Initial Release.
  * Wrote a manpage since the program did not include one.
  * Created a simple example_rc for the ../doc/examples directory.

 -- Brandon L. Griffith <brandon@debian.org>  Fri, 14 Sep 2001 11:34:25 -0400

=== debian/control ===
Source: desklaunch
Section: x11
Priority: optional
Maintainer: Stefan Pfetzing <dreamind@dreamind.de>
Build-Depends: debhelper (>> 3.0.0), xlibs-dev
Standards-Version: 3.5.2

Package: desklaunch
Architecture: any
Depends: ${shlibs:Depends}
Description: A small utility for creating desktop icons.
 DeskLaunch is a small utility for creating desktop icons using pixmaps.
 A simple click will launch the desired application.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
#	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_clean -k
	dh_installdirs usr/bin

	$(MAKE) install DESTDIR=$(CURDIR)/debian/desklaunch


binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs README
	dh_installexamples debian/example_rc
	dh_installman debian/desklaunch.1
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## desklaunch 1.1.4

=== debian/changelog ===
desklaunch (1.1.4) unstable; urgency=low

  * The I'm back release.
  * Lintian fixes.
  * Depend on xfonts. (Closes: #244947)
  * Opaque color is and was working. (Closes: #149778)
  * Update the URL. (Closes: #302818)

 -- Stefan Pfetzing <dreamind@dreamind.de>  Thu, 30 Jun 2005 13:50:26 +0200

=== debian/control ===
Source: desklaunch
Section: x11
Priority: optional
Maintainer: Stefan Pfetzing <dreamind@dreamind.de>
Build-Depends: debhelper (>> 3.0.0), xlibs-dev, xfonts-75dpi | xfonts-100dpi
Standards-Version: 3.6.2

Package: desklaunch
Architecture: any
Depends: ${shlibs:Depends}
Description: A small utility for creating desktop icons
 DeskLaunch is a small utility for creating desktop icons using pixmaps.
 A simple click will launch the desired application.

## desklaunch 1.1.5

=== debian/changelog ===
desklaunch (1.1.5) unstable; urgency=low

  * No longer build-depend on xlibs-dev. (Closes: #346730)

 -- Stefan Pfetzing <dreamind@dreamind.de>  Mon,  9 Jan 2006 17:47:56 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Stefan Pfetzing <dreamind@dreamind.de>
-Build-Depends: debhelper (>> 3.0.0), xlibs-dev, xfonts-75dpi | xfonts-100dpi
+Build-Depends: debhelper (>> 3.0.0), libx11-dev, libxext-dev, libxpm-dev, xfonts-75dpi | xfonts-100dpi
 Standards-Version: 3.6.2
 
 Package: desklaunch

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE=1
-export DH_COMPAT=3
+export DH_COMPAT=4
 
 configure: configure-stamp
 configure-stamp:

## desklaunch 1.1.7

=== debian/changelog ===
desklaunch (1.1.7) unstable; urgency=low

  * Fix lintian errors.
  * Update copyright info.

 -- Stefan Pfetzing <dreamind@dreamind.de>  Sun, 14 Feb 2010 17:10:54 +0100

desklaunch (1.1.6) unstable; urgency=low

  * Applied patch from Herbert P Fortes Neto to fix some small bugs in
    desklaunch. Thanks Herbert. (Closes: #396233)
  * Fix debhelper depends.
  * Bump standards-version.

 -- Stefan Pfetzing <dreamind@dreamind.de>  Sun, 14 Feb 2010 16:23:58 +0100

## desklaunch 1.1.8

=== Makefile ===
--- 
+++ 
@@ -5,8 +5,9 @@
 LIBS      = -lX11 -lXext -lXpm 
 LDPATH    = -L$(XROOT)/lib
 
+DESTDIR   =
 PROG      = desklaunch
-PREFIX    = /usr
+PREFIX    = $(DESTDIR)/usr
 RCFILE    = .$(PROG)rc
 DEFINES   = -DRCFILE=\"$(RCFILE)\" #-DDEBUG

=== debian/changelog ===
desklaunch (1.1.8) unstable; urgency=low

  * Fix NumLock and other modifiers handling. (Closes: #459074)
  * Fix cpu usage by porting the select mechanism from oroborus.
    (Closes: #604117)

 -- Stefan Pfetzing <dreamind@dreamind.de>  Tue, 30 Nov 2010 12:21:58 +0100

=== debian/control ===
Source: desklaunch
Section: x11
Priority: optional
Maintainer: Stefan Pfetzing <dreamind@dreamind.de>
Build-Depends: debhelper (>= 7), libx11-dev, libxext-dev, libxpm-dev, xfonts-75dpi | xfonts-100dpi
Standards-Version: 3.8.4

Package: desklaunch
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: A small utility for creating desktop icons
 DeskLaunch is a small utility for creating desktop icons using pixmaps.
 A simple click will launch the desired application.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE=1
-export DH_COMPAT=4
 
 configure: configure-stamp
 configure-stamp:
@@ -18,12 +17,12 @@
 	dh_testdir
 #	dh_testroot
 	rm -f build-stamp configure-stamp
-	-$(MAKE) clean
+	$(MAKE) clean
 	dh_clean
 
 install: build
 	dh_testdir
-	dh_clean -k
+	dh_prep
 	dh_installdirs usr/bin
 
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/desklaunch

## desklaunch 1.1.8build1

=== debian/changelog ===
desklaunch (1.1.8build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:19:08 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: desklaunch
 Section: x11
 Priority: optional
-Maintainer: Stefan Pfetzing <dreamind@dreamind.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stefan Pfetzing <dreamind@dreamind.de>
 Build-Depends: debhelper (>= 7), libx11-dev, libxext-dev, libxpm-dev, xfonts-75dpi | xfonts-100dpi
 Standards-Version: 3.8.4
